name: FCI_10117835
description: connector, USB, receptacle, type-A, 3.0, right angle, horizontal, through hole
datasheet: http://www.amphenol-icc.com/media/wysiwyg/files/drawing/10117835.pdf
distributor: LCSC C69073

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  USB3.0:
    SSRX-: 5
    SSRX+: 6
    GND_DRAIN: 7
    SSTX-: 8
    SSTX+: 9
  SHELL:
    SHIELD: 10, 11

properties:
  power: VBUS
  ground: GND, GND_DRAIN
  bidir: D-, D+
  in: SSRX-, SSRX+
  out: SSTX-, SSTX+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB, USB3.0
  bottom: SHELL

housing:
  pattern: custom
  bodyWidth: 15.88
  bodyLength: 16.70
  bodyPosition: 0, 3.43
  height: 7.0

  # USB 2.0
  holeDiameter: 0.7
  padPosition: -3.5, -2.0, -1.0, -2.0, 1.0, -2.0, 3.5, -2.0

  # USB 3.0
  holeDiameter1: 0.7
  padPosition1: 4.0, -3.5, 2.0, -3.5, 0.0, -3.5, -2.0, -3.5, -4.0, -3.5

  # shell/shield
  holeDiameter2: 2.3
  padPosition2: -6.57, 0, 6.57, 0
